
 LinHES - Bug # 177: No ATI Remote Wonder Love

Status: Closed Priority: Normal
Author: Gnarl Category:
Created: 02/11/2009 Assignee: cecil
Updated: 12/25/2011 Due date: 12/31/1969
Description: I've done a Frontend install and everything works well that I've tested so far except for the remote problem

History
02/11/2009 11:00 pm - Gnarl
contents of /var/log/lircd

Feb 11 22:33:41 Mediabox02 lircd: WARNING: garbage after 'name' token in line 91 ignored
Feb 11 22:33:41 Mediabox02 lircd: closing logfile
Feb 11 22:33:41 Mediabox02 lircd: reopened logfile
Feb 11 22:33:41 Mediabox02 lircd: WARNING: garbage after 'name' token in line 91 ignored

02/11/2009 11:15 pm - Gnarl
<code>
[root@Mediabox02 ~]# lsusb
Bus 004 Device 002: ID 0bc7:0004 X10 Wireless Technology, Inc. X10 Receiver
...no x10 receiver connected

ati_remote             11656  0 
lirc_atiusb            17568  1 
lirc_dev               13492  1 lirc_atiusb
usbcore               136976  6 ndiswrapper,ati_remote,lirc_atiusb,uhci_hcd,ehci_hcd
</code>

First part of /etc/lircd/conf

<code>
# Please make this file available to others
# by sending it to <lirc@bartelmus.de>
#
# this config file was automatically generated
# using lirc-0.7.0pre2(atiusb) on Fri Jan  2 19:09:02 2004
#
# contributed by
#
# brand:     ATI Remote Wonder
# model no. of remote control:
# devices being controlled by this remote:
#

nano /etc/conf.d/lircd
#
# Parameters for lirc daemon
#

LIRC_DEVICE="/dev/lirc0"
LIRC_DRIVER=""
LIRC_EXTRAOPTS=""
LIRC_CONFIGFILE=""
</code>

02/17/2009 11:51 pm - Gnarl
/etc/lircd.conf and /home/myth/.mythtv/lircrc were not configured properly. Files that work are attached.

02/19/2009 12:56 pm - jams
Replaced ati wonder config files with the ones attached.

02/24/2009 09:40 am - Gnarl
Did a packman -Syu and everything this is still working. Is a reinstall required?

03/01/2009 05:03 pm - jams
You would need to redo the remote portion to copy in the new config file.  
First setup a  differnt remote and apply the changes.  This is needed to make sure the new file is copied in.
Then run the setup again and pick the ATI remote and apply the changes.  Changes of remotes require a restart of lirc to pickup the changes.  A reboot 
would also work.

Before running the above tests you could verify that the files in /usr/MythVantage/templates/remotes/ATI_Wonder  are the files you want to use.

03/09/2009 03:53 pm - graysky
@jams - I can verify by md5sum that the two files you attached to this task are indeed installed by the scripts.  Unfortunately, they aren't providing much 
functionality to the remote.  Have a look at [[http://knoppmyth.net/phpBB2/viewtopic.php?p=120380|this forum post]] for more details.

Can we have the ATI Remote Wonder use the Dragon kernel module like R5F27 and R5.5 do?  It is much better :)

03/09/2009 05:39 pm - benotto
In my test machine I believe that an existing kernel module was being used and not lirc. 
This kernel module was inappropriately configured so very few keys were usable in mythtv (making it practically unusable); the "dragon" kernel module 
used in R5.5 was so much better in this regard.

Once I rename the kernel modules /lib/modules/2.6.28-LinHES/kernel/drivers/input/misc/ati_remote.ko and ati_remote2.ko the system finally started 
using Lirc.

The existing Lirc configuration has acceptable key mapping (so I guess the files are fine), but much lower performance and, in particular, no key 
repetition for prolonged key presses, making fast forward extremely annoying.

I have to subscribe the request for reusing the R5.5 kernel module.

12/25/2011 03:10 pm - jams
- Target version changed from 8.0 to 6.00.04

Files
lircd.conf 3.1 kB 02/17/2009 admin
lircrc 6.1 kB 02/17/2009 admin
